Subject: RE: pthreads on cygwin
From: "Jacob Vennervald Madsen" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 4 Sep 2001 14:36:13 +0200

I just want to add that the same code works on Linux.

Jacob

-----Original Message-----
From: Robert Collins [mailto:[email-masked]]
Sent: 4. september 2001 14:33
To: Jacob Vennervald Madsen
Cc: [email-masked]
Subject: Re: pthreads on cygwin

On Tue, 2001-09-04 at 19:59, Jacob Vennervald Madsen wrote:
> Hi List
> 
> I'm trying to compile and run the Open Source Kannel gateway on
cygwin.
> It compiles ok but gives me problems when I try to run it.
> 
> This is the error I get:
> 2001-09-04 09:13:43 [1] PANIC: gwlib/gwthread-pthread.c:151:
> getthreadinfo: Assertion `pthread_equal(threadinfo->self,
> pthread_self())' failed.
> 
> And this is line 151 of the file gwlib/gwthread-pthread.c that gives
the
> problems:
> gw_assert(pthread_equal(threadinfo->self, pthread_self()));
> 
> Any ideas how to make this work on cygwin?
> If I comment this line out I can start the gateway but it freezes
after
> sending one SMS through the gateway.

Sounds to me like for some reason the threadinfo->self struct isn't the
variable used to create the thread.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/